Bug 1778396 - exporting/importing report template process is causing a different report during the visualization (blank lines)
Summary: exporting/importing report template process is causing a different report dur...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: All
OS: All
unspecified
high
Target Milestone: 6.8.0
Assignee: Marek Hulan
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-30 16:29 UTC by Waldirio M Pinheiro
Modified: 2020-10-27 12:59 UTC (History)
5 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28768 Normal Closed exporting/importing report template process is causing a different report during the visualization (blank lines) 2020-10-28 17:19:59 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:59:49 UTC

Description Waldirio M Pinheiro 2019-11-30 16:29:19 UTC
Description of problem:
When exporting the report template, the header is added automatically on the code. Once we just copy/paste the code back, we can see some new lines (according to the example below)

Version-Release number of selected component (if applicable):
6.6.z

How reproducible:
100%

Steps to Reproduce:
1. Create the report with the content below (please add the input field 'host' as well to avoid issues.
---
<% load_hosts(search: input('host')).each_record do |host| -%>
<%
      report_row(
          'Server FQND': host.name
      )
-%>
<%  end -%>
<%= report_render %>
---
2. Clicking in preview we can see
---
Server FQND
contenthost1.usersys.redhat.com
contenthost2.usersys.redhat.com
---
3. Now let's save and export via webUI (report template page, then select the dropdown menu list side to Generate button - Export) and the code saved will be as below
---
<% load_hosts(search: input('host')).each_record do |host| -%>
<%#
name: Hosts - complete list
snippet: false
template_inputs:
- name: host
  required: false
  input_type: user
  advanced: false
model: ReportTemplate
%>
<%
      report_row(
        'Server FQND': host.name
      )
-%>
<%  end -%>
<%= report_render %>
---

Actual results:
---


Server FQND
contenthost1.usersys.redhat.com
contenthost2.usersys.redhat.com
---


Expected results:
---
Server FQND
contenthost1.usersys.redhat.com
contenthost2.usersys.redhat.com
---

No new lines on the top. This is caused because of the last line of the header. If we change according to below, new lines will disappear
From
---
<%#
name: Hosts - complete list
snippet: false
template_inputs:
- name: host
  required: false
  input_type: user
  advanced: false
model: ReportTemplate
%>
---

To
---
<%#
name: Hosts - complete list
snippet: false
template_inputs:
- name: host
  required: false
  input_type: user
  advanced: false
model: ReportTemplate
-%>
---

Additional info:

Comment 3 Marek Hulan 2020-01-15 19:30:32 UTC
Created redmine issue https://projects.theforeman.org/issues/28768 from this bug

Comment 4 Bryan Kearney 2020-01-15 21:03:24 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2020-01-15 21:03:25 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 Bryan Kearney 2020-01-16 19:03:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28768 has been resolved.

Comment 7 Peter Dragun 2020-06-04 09:49:22 UTC
Verified on Satellite 6.8 snap 2
Using template from problem description, I don't see any additional new lines as described.

Comment 10 errata-xmlrpc 2020-10-27 12:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.